> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request an Access Token



## OpenAPI

````yaml api-reference/openapi-cards.json GET /card/{id}/token
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Cards
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /card/{id}/token:
    get:
      tags:
        - MarqetaJS
      summary: Request an Access Token
      parameters:
        - description: ID of the Card to retrieve
          in: path
          name: id
          required: true
          schema:
            description: ID of the Card to retrieve
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    token: eyJ0b2tlbiI6ICI0NGM5YWY5NS01O
              schema:
                properties:
                  token:
                    description: MarqetaJS access token
                    type: string
          description: The token
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````